Subject: Index of garden plants

From: [email-masked] (Kezia K)
Date: 17 Dec 1994 16:40:09 -0500

I have not personally seen this book, but I understand that it is a
companion to the massive 5 (8?) volume Royal Horticultural Society
Encyclopedia of gardening which came out 2-3 years ago.  I believe the
Index lists all the plants covered by the encyclopedia, but I am not sure
how much information is provided.  In other words, is it simply an index,
or a shorter encyclopedia itself?

As for an alternative to Hortus, isn't Hortus 4 supposedly in the works?

KeziaK
Northern VA